from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XCanvas(XInterface, Protocol):
    def clear(self) -> None: ...
    def getDevice(self) -> XGraphicDevice: ...
